fuse_context Struct Reference

`#include <fuse.h>`

## Data Fields

struct fuse * | fuse
uid_t | uid
gid_t | gid
pid_t | pid
void * | private_data
mode_t | umask

## Detailed Description

Extra context that may be needed by some filesystems

The uid, gid and pid fields are not filled in case of a writepage operation.

Definition at line 777 of file fuse.h.

## Field Documentation

## fuse

struct fuse* fuse_context::fuse

Pointer to the fuse object

Definition at line 779 of file fuse.h.

## gid

gid_t fuse_context::gid

Group ID of the calling process

Definition at line 785 of file fuse.h.

## pid

pid_t fuse_context::pid

Thread ID of the calling process

Definition at line 788 of file fuse.h.

## private_data

void* fuse_context::private_data

Private filesystem data

Definition at line 791 of file fuse.h.

## uid

uid_t fuse_context::uid

User ID of the calling process

Definition at line 782 of file fuse.h.

## umask

mode_t fuse_context::umask

Umask of the calling process

Definition at line 794 of file fuse.h.

The documentation for this struct was generated from the following file:

- include/fuse.h